<?php

/*

'**************************************************************************************************

' 软件名称: 黑色幻想舞曲管理系统CMS2.0

' 版本编号: hshxsdj 2.0

' 官方网站: http://www..hshxs.com

' 官方论坛：http://bbs.hshxs.com

' 版权所有: 黑色幻想开发团队    噬己翼(QQ:532917920)

' 郑重声明:

'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；

'    2、黑色幻想网络事业部保留此软件的法律追究权利

'**************************************************************************************************

*/

	if(empty($_COOKIE['S_AdminID'])){

		echo "<script>window.location='admin_login.php'</script>";

		}

	elseif($_COOKIE['S_Login']!=md5($_COOKIE['S_AdminID'].$_COOKIE['S_AdminUserName'].$_COOKIE['S_AdminPassWord'].$_COOKIE['S_Permission'])){

		echo "<script>window.parent.location='admin_login.php'</script>";

		}

//后台权限判断

function SystemPer($Column){

   if(empty($_COOKIE['S_Permission'])){

        die("<script>jAlert('对不起，您无权限操作此功能！','操作错误',function(R){window.location='javascript:history.go(-1)';})</script>");

   }else{

        $SystemPermission=explode(",",$_COOKIE['S_Permission']);

        $StateOK=0;

        $ArrSystemPermission=count($SystemPermission);

           for($k=0;$k<$ArrSystemPermission;$k++){

              if($SystemPermission[$k]==$Column){

                     $StateOK=1;   

              }

           }

       if($StateOK==0){

            die("<script>jAlert('对不起，您无权限操作此功能！','操作错误',function(R){window.location='javascript:history.go(-1)';})</script>");

       } 

   }

}

?>